Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.script
Class ClassDomainAdmin

    java.lang.Object
      oracle.ifs.admin.tools.script.ClassDomainAdmin

    public class ClassDomainAdmin

extends java.lang.Object

The `ClassDomainAdmin.java` class - colleciton of ClassDomain admin tasks test.

Field Summary
`protected AdminManager` | `m_Main`

Constructor Summary
`ClassDomainAdmin(AdminManager main)` The only constructor that is being used.

Method Summary
`protected void` | `createClassDomain(LibrarySession sess, ClassDomainDefinition def)` internal variant of Create ClassDomain
`protected void` | `createClassDomain(LibrarySession sess, ParameterTable params)` Section variant of Create ClassDomain
`protected void` | `createClassDomain(LibrarySession sess, java.lang.String nameToken, java.lang.String descriptionToken)` inline variant of Create ClassDomain
`protected void` | `freeClassDomain(LibrarySession sess, ParameterTable params)` Section variant of Free ClassDomain
`protected void` | `freeClassDomain(LibrarySession sess, java.lang.String name)` Inline/internal variant of Free ClassDomain
`protected ClassDomain` | `lookupClassDomain(LibrarySession sess, java.lang.String name)` Lookup ClassDomain by name
`protected void` | `modifyClassDomain(LibrarySession sess, ParameterTable params)` Section variant of Modify ClassDomain
`protected void` | `modifyClassDomain(LibrarySession sess, java.lang.String name, ClassDomainDefinition def)` internal variant of Modify ClassDomain
`protected void` | `showClassDomain(LibrarySession sess, ClassDomain clsdomain)`
`protected void` | `showClassDomain(LibrarySession sess, ParameterTable params)` Section variant of showClassDomain
`protected void` | `showClassDomain(LibrarySession sess, java.lang.String name)` Inline/internal variant of showClassDomain

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Main

    protected AdminManager m_Main

Constructor Detail

### ClassDomainAdmin

    public ClassDomainAdmin(AdminManager main)

  The only constructor that is being used.

  Parameters:
    `main` - Reference to AdminManager which invokes this.

Method Detail

### createClassDomain

    protected void createClassDomain(LibrarySession sess,
                                     ParameterTable params)
                              throws IfsException

  Description copied from class: `ClassDomainAdmin`
  Section variant of Create ClassDomain

  Throws:
    `IfsException`

### createClassDomain

    protected void createClassDomain(LibrarySession sess,
                                     java.lang.String nameToken,
                                     java.lang.String descriptionToken)
                              throws IfsException

  Description copied from class: `ClassDomainAdmin`
  inline variant of Create ClassDomain

  Throws:
    `IfsException`

### createClassDomain

    protected void createClassDomain(LibrarySession sess,
                                     ClassDomainDefinition def)
                              throws IfsException

  Description copied from class: `ClassDomainAdmin`
  internal variant of Create ClassDomain

  Throws:
    `IfsException`

### modifyClassDomain

    protected void modifyClassDomain(LibrarySession sess,
                                     ParameterTable params)
                              throws IfsException

  Description copied from class: `ClassDomainAdmin`
  Section variant of Modify ClassDomain

  Throws:
    `IfsException`

### modifyClassDomain

    protected void modifyClassDomain(LibrarySession sess,
                                     java.lang.String name,
                                     ClassDomainDefinition def)
                              throws IfsException

  Description copied from class: `ClassDomainAdmin`
  internal variant of Modify ClassDomain

  Throws:
    `IfsException`

### freeClassDomain

    protected void freeClassDomain(LibrarySession sess,
                                   ParameterTable params)
                            throws IfsException

  Description copied from class: `ClassDomainAdmin`
  Section variant of Free ClassDomain

  Throws:
    `IfsException`

### freeClassDomain

    protected void freeClassDomain(LibrarySession sess,
                                   java.lang.String name)
                            throws IfsException

  Description copied from class: `ClassDomainAdmin`
  Inline/internal variant of Free ClassDomain

  Throws:
    `IfsException`

### showClassDomain

    protected void showClassDomain(LibrarySession sess,
                                   ParameterTable params)
                            throws IfsException

  Description copied from class: `ClassDomainAdmin`
  Section variant of showClassDomain

  Throws:
    `IfsException`

### showClassDomain

    protected void showClassDomain(LibrarySession sess,
                                   java.lang.String name)
                            throws IfsException

  Description copied from class: `ClassDomainAdmin`
  Inline/internal variant of showClassDomain

  Throws:
    `IfsException`

### showClassDomain

    protected void showClassDomain(LibrarySession sess,
                                   ClassDomain clsdomain)
                            throws IfsException

  Throws:
    `IfsException`

### lookupClassDomain

    protected ClassDomain lookupClassDomain(LibrarySession sess,
                                            java.lang.String name)
                                     throws IfsException

  Description copied from class: `ClassDomainAdmin`
  Lookup ClassDomain by name

  Throws:
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD